<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Proxy API</title>
    <filename>main</filename>
    <docanchor>globus_gsi_proxy_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__proxy__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_PROXY_MODULE</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__gsi__proxy__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_proxy_handle_t *handle, globus_gsi_proxy_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_destroy</name>
      <anchor>ga18</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_req</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, X509_REQ **req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_req</name>
      <anchor>ga19</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, X509_REQ *req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_private_key</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_PKEY **proxy_key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_private_key</name>
      <anchor>ga20</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_PKEY *proxy_key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_type</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cert_utils_cert_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_type</name>
      <anchor>ga21</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cert_utils_cert_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_policy</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, unsigned char *policy_data, int policy_length, int policy_language_NID)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_policy</name>
      <anchor>ga22</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, unsigned char **policy_data, int *policy_length, int *policy_NID)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_add_extension</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, X509_EXTENSION *ext)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_extensions</name>
      <anchor>ga23</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, STACK_OF(X509_EXTENSION)*exts)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_extensions</name>
      <anchor>ga24</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, STACK_OF(X509_EXTENSION)**exts)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_pathlen</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, long pathlen)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_pathlen</name>
      <anchor>ga25</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *pathlen)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_time_valid</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *time_valid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_time_valid</name>
      <anchor>ga26</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int time_valid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_clear_cert_info</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_proxy_cert_info</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, PROXYCERTINFO **pci)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_proxy_cert_info</name>
      <anchor>ga27</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, PROXYCERTINFO *pci)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_signing_algorithm</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_MD **signing_algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_keybits</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *key_bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_init_prime</name>
      <anchor>ga13</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *init_prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_clock_skew_allowable</name>
      <anchor>ga14</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_key_gen_callback</name>
      <anchor>ga15</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, void(**callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_common_name</name>
      <anchor>ga16</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, char **common_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_common_name</name>
      <anchor>ga28</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, char *common_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_is_limited</name>
      <anchor>ga17</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_bool_t is_limited)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_is_limited</name>
      <anchor>ga29</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_bool_t *is_limited)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_proxy_handle_s *</type>
      <name>globus_gsi_proxy_handle_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_handle_attrs</name>
    <title>Handle Attributes</title>
    <filename>group__globus__gsi__proxy__handle__attrs.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t *handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_destroy</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_keybits</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_keybits</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_init_prime</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_init_prime</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_signing_algorithm</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, EVP_MD *algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_signing_algorithm</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, EVP_MD **algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_clock_skew_allowable</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_clock_skew_allowable</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_key_gen_callback</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, void(**callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_key_gen_callback</name>
      <anchor>ga13</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, void(*callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_copy</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t a, globus_gsi_proxy_handle_attrs_t *b)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_proxy_handle_attrs_s *</type>
      <name>globus_gsi_proxy_handle_attrs_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_operations</name>
    <title>Proxy Operations</title>
    <filename>group__globus__gsi__proxy__operations.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_create_req</name>
      <anchor>ga0</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, BIO *output_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_inquire_req</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, BIO *input_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_resign_cert</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer_credential, globus_gsi_cred_handle_t peer_credential, globus_gsi_cred_handle_t *resigned_credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_sign_req</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer_credential, BIO *output_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_create_signed</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer, globus_gsi_cred_handle_t *proxy_credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_assemble_cred</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t *proxy_credential, BIO *input_bio)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_constants</name>
    <title>Proxy Constants</title>
    <filename>group__globus__gsi__proxy__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_proxy_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SUCCESS</name>
      <anchor>gga0a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE</name>
      <anchor>gga0a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE_ATTRS</name>
      <anchor>gga0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PROXYCERTINFO</name>
      <anchor>gga0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PROXYPOLICY</name>
      <anchor>gga0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PATHLENGTH</name>
      <anchor>gga0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509_REQ</name>
      <anchor>gga0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509</name>
      <anchor>gga0a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509_EXTENSIONS</name>
      <anchor>gga0a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PRIVATE_KEY</name>
      <anchor>gga0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_BIO</name>
      <anchor>gga0a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CREDENTIAL</name>
      <anchor>gga0a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE</name>
      <anchor>gga0a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE_ATTRS</name>
      <anchor>gga0a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_ERRNO</name>
      <anchor>gga0a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SETTING_HANDLE_TYPE</name>
      <anchor>gga0a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_INVALID_PARAMETER</name>
      <anchor>gga0a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SIGNING</name>
      <anchor>gga0a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_LAST</name>
      <anchor>gga0a20</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
